<%@ Page Language="C#" AutoEventWireup="true" Inherits="SuperWeibo.Page._Computer_Search" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" dir="ltr" lang="zh-CN" xml:lang="zh-CN">
<head>
<title><% =PageTitle %></title>
<% =Me.Css() %>
</head>
<body>
<center>
<SuperWeibo:header_blog id="header_blog" runat="server" />
<div id="blog_c">
	<div id="blog_c_left">
	<div id="blog_sta">
	<div id="blog_st0" class="blog_sz" style="display:;border-top:solid 0px #FFFFFF;">
		<!--微博搜索输入框-->
		<% =PageForm %>
	</div>
	<div id="blog_st1" class="blog_sz" style="display:none;border-top:solid 0px #FFFFFF;">
		<table>
		<tr>
			<td></td>
			<td colspan="2"><a href="javascript:void(0)" onclick="ShowPad(1)"><% =Z.C("点击搜索微博") %>...</a></td>
		</tr>
		<tr>
			<td style="width:100px;"><% =Z.C("请输入同事信息") %>&nbsp;:&nbsp;</td>
			<td><input type="text" class="normal_text" id="words2" name="words2" size="50" maxlength="32" value="" onpropertychange="SearchUsers()" oninput="SearchUsers()"></td>
			<td><div class="sbt" onclick="SearchUsers()"><img src="/images/right.gif"></div></td>
		</tr>
		</table>
	</div>
	</div>
	<span id="search_result">
		<% =PageBuffer %>
	</span>
	</div>
	<div id="blog_c_right"></div>
</div>
<SuperWeibo:footer_blog id="footer_blog" runat="server" />
<script language="javascript">
<!--
ShowSummary();
IconAction();
setInterval("GetMessages()", 5000);
Bind();

function SearchUsers()
{
	var words = $("#words2").val();
	if(words.length > 0) {
		$.post("/Utility/UserFind.aspx", { rnd : Math.random(), words : words }, function(result) {
			$("#search_result").html(result);
		});
	}
}

function ShowPad(cmd) 
{
	$("div#blog_st0").css("display", cmd==0 ? "none" : "");
	$("div#blog_st1").css("display", cmd==1 ? "none" : "");
	var html = "";
	html += "<div id=\"blog_ct0\" class=\"blog_sz\" style=\"width:698px;height:1px;padding:0px;margin-bottom:1px;background-image:url(/Images/Help/no-02.jpg);background-repeat:no-repeat;\">";
	html += "<div style=\"width:506px;height:260px;padding-left:132px;padding-top:40px;line-height:22px;\">";
	if(cmd==1) {
		html += "&bull; 实现微博内容、附件(OFFICE)文档内容的智能化全文搜索。<br>";
	}
	else {
		html += "&bull; 找同事？可按姓名、电话、手机、邮箱、QQ号等的任意部分信息搜索。<br>";
	}
	html += "</div>";
	html += "</div>";
	$("#search_result").html(html);

	$("#blog_ct0").animate({height:486}, "slow");
}

ThumbsAction();
if($("#blog_ct0").length>0) $("#blog_ct0").animate({height:486}, "slow");

//-->
</script>
</center>
</body>
</html>
